summaryrefslogtreecommitdiffstats
path: root/libraries/rhino
diff options
context:
space:
mode:
author Vincent Batts2010-05-12 23:31:23 +0200
committer David Somero2010-05-12 23:31:23 +0200
commite6111e0ea9e4a5625489fc7788304b91215672d2 (patch)
tree507216a6cae2ce6ceea15863538f154246f0bb9f /libraries/rhino
parent9ec72ab1668108d441d2d07ba76923ffa98a9ade (diff)
downloadslackbuilds-e6111e0ea9e4a5625489fc7788304b91215672d2.tar.gz
libraries/rhino: Added to 12.2 repository
Diffstat (limited to 'libraries/rhino')
-rw-r--r--libraries/rhino/README5
-rw-r--r--libraries/rhino/rhino.SlackBuild56
-rw-r--r--libraries/rhino/rhino.info8
-rw-r--r--libraries/rhino/slack-desc19
4 files changed, 88 insertions, 0 deletions
diff --git a/libraries/rhino/README b/libraries/rhino/README
new file mode 100644
index 0000000000..9d2a0a93f5
--- /dev/null
+++ b/libraries/rhino/README
@@ -0,0 +1,5 @@
+Rhino is an open-source implementation of JavaScript written entirely in
+Java. It is typically embedded into Java applications to provide scripting
+to end users.
+
+This package includes javadoc and example.zip in /usr/doc/rhino-$VERSION
diff --git a/libraries/rhino/rhino.SlackBuild b/libraries/rhino/rhino.SlackBuild
new file mode 100644
index 0000000000..37cf5f432d
--- /dev/null
+++ b/libraries/rhino/rhino.SlackBuild
@@ -0,0 +1,56 @@
+#!/bin/sh
+
+# Slackware build script for rhino
+# Written by Vincent Batts, vbatts@hashbangbash.com
+
+set -e
+
+PRGNAM=rhino
+VERSION=1_7R2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+ANT_HOME=${ANT_HOME:-/usr/share/ant}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${PRGNAM}${VERSION}
+unzip $CWD/${PRGNAM}${VERSION}.zip
+cd ${PRGNAM}${VERSION}
+chown -R root:root .
+
+mkdir -p $PKG/$ANT_HOME/lib/ $PKG/usr/share/java
+cp js.jar $PKG/$ANT_HOME/lib/$PRGNAM.jar
+
+cd $PKG/usr/share/java
+ ln -s ../../../$ANT_HOME/lib/$PRGNAM.jar
+cd -
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+zip -9 -r $PKG/usr/doc/$PRGNAM-$VERSION/examples.zip examples/
+cp -a LICENSE.txt javadoc/ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/rhino/rhino.info b/libraries/rhino/rhino.info
new file mode 100644
index 0000000000..f696666ed7
--- /dev/null
+++ b/libraries/rhino/rhino.info
@@ -0,0 +1,8 @@
+PRGNAM="rhino"
+VERSION="1_R2"
+HOMEPAGE="http://www.mozilla.org/rhino/"
+DOWNLOAD="ftp://ftp.mozilla.org/pub/mozilla.org/js/rhino1_7R2.zip"
+MD5SUM="40d0a9abec8169e42920214b37fa8e0e"
+MAINTAINER="Vincent Batts"
+EMAIL="vbatts@hashbangbash.com"
+APPROVED="dsomero"
diff --git a/libraries/rhino/slack-desc b/libraries/rhino/slack-desc
new file mode 100644
index 0000000000..301205f58a
--- /dev/null
+++ b/libraries/rhino/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+rhino: rhino (javascript library for java)
+rhino:
+rhino: Rhino is an open-source implementation of JavaScript written entirely
+rhino: in Java. It is typically embedded into Java applications to provide
+rhino: scripting to end users.
+rhino:
+rhino: Homepage http://www.mozilla.org/rhino/
+rhino:
+rhino:
+rhino:
+rhino: